import modules.userinfo as userinfo


class WhoCommand:
    def __init__(self, *args):
        self.who(*args)

    def who(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length == 2:
                result = userinfo.getWho(spl[1])
                rtrn = ""
                for i in result.keys():
                    rtrn += "Matches from: %s" % i
                    rtrn += "\n"
                    for x in result[i]:
                        rtrn += x
                        rtrn += "\n"
                    rtrn += "\n"
                info(rtrn)
                return
            else:
                incUsage("who")
                return
        else:
            incUsage(None)
